package org.scalatest.inspectors.atLeast

import org.scalatest._
import org.scalatest.matchers.{BePropertyMatcher, BePropertyMatchResult, HavePropertyMatcher, HavePropertyMatchResult}
import collection.GenTraversable
import collection.GenMap
class InspectorShorthandsForAtLeastSucceededSpec extends Spec with Matchers with SharedHelpers {
  def `atLeast(2, Set(1, 2, 3)) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, Set(1, 2, 3)) should be < 3
  }
  def `atLeast(2, List(1, 2, 3)) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, List(1, 2, 3)) should be < 3
  }
  def `atLeast(2, Seq(1, 2, 3)) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, Seq(1, 2, 3)) should be < 3
  }
  def `atLeast(2, Array(1, 2, 3)) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, Array(1, 2, 3)) should be < 3
  }
  def `atLeast(2, IndexedSeq(1, 2, 3)) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, IndexedSeq(1, 2, 3)) should be < 3
  }
  def `atLeast(2, Vector(1, 2, 3)) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, Vector(1, 2, 3)) should be < 3
  }
  def `atLeast(2, Set(1, 2, 3).par) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, Set(1, 2, 3).par) should be < 3
  }
  def `atLeast(2, List(1, 2, 3).par) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, List(1, 2, 3).par) should be < 3
  }
  def `atLeast(2, Seq(1, 2, 3).par) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, Seq(1, 2, 3).par) should be < 3
  }
  def `atLeast(2, IndexedSeq(1, 2, 3).par) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, IndexedSeq(1, 2, 3).par) should be < 3
  }
  def `atLeast(2, collection.mutable.Set(1, 2, 3)) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, collection.mutable.Set(1, 2, 3)) should be < 3
  }
  def `atLeast(2, new collection.mutable.ListBuffer() ++ List(1, 2, 3)) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, new collection.mutable.ListBuffer() ++ List(1, 2, 3)) should be < 3
  }
  def `atLeast(2, collection.mutable.Seq(1, 2, 3)) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, collection.mutable.Seq(1, 2, 3)) should be < 3
  }
  def `atLeast(2, collection.mutable.IndexedSeq(1, 2, 3)) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, collection.mutable.IndexedSeq(1, 2, 3)) should be < 3
  }
  def `atLeast(2, collection.mutable.Set(1, 2, 3).par) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, collection.mutable.Set(1, 2, 3).par) should be < 3
  }
  def `atLeast(2, (new collection.mutable.ListBuffer() ++ List(1, 2, 3)).par) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, (new collection.mutable.ListBuffer() ++ List(1, 2, 3)).par) should be < 3
  }
  def `atLeast(2, collection.mutable.Seq(1, 2, 3).par) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, collection.mutable.Seq(1, 2, 3).par) should be < 3
  }
  def `atLeast(2, collection.mutable.IndexedSeq(1, 2, 3).par) should succeed when elements succeeded count is equal to the min` {
    atLeast(2, collection.mutable.IndexedSeq(1, 2, 3).par) should be < 3
  }
}
